Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000588bareos-core[All Projects] file daemonpublic2015-12-24 17:522016-07-08 14:34
Reporterjkimalane 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMSSQL 2012OSWindows ServerOS Version2012
Product Version15.2.2 
Target Version15.2.3Fixed in Version15.2.3 
Summary0000588: Incremental MSSQL backup fails when database name contains spaces
DescriptionIncremental database backup fails when database name contains spaces.

24-Dec 15:18 srv-xxx-01-fd JobId 7491: Fileset has no "File=" directives, ignoring FilesNotToBackup Registry key
24-Dec 15:19 srv-xxx-01-fd JobId 7491: Fatal error: mssqlvdi-fd: IClientVirtualDeviceSet2::GetConfiguration failed
24-Dec 15:19 srv-xxx-01-fd JobId 7491: Fatal error: Incorrect syntax near 'DB'.
Incorrect syntax near the keyword 'with'. If this statement is a common table expression, an xmlnamespaces clause or a change tracking context clause, the previous statement must
be terminated with a semicolon.

Additional InformationIt's very easy to fix this issue:

file "mssqlvdi-fd.c"

   case L_INCREMENTAL:
      Mmsg(ado_query,
           "BACKUP LOG %s TO VIRTUAL_DEVICE='%s' WITH BLOCKSIZE=%d, BUFFERCOUNT=%d, MAXTRANSFERSIZE=%d",

to

   case L_INCREMENTAL:
      Mmsg(ado_query,
           "BACKUP LOG [%s] TO VIRTUAL_DEVICE='%s' WITH BLOCKSIZE=%d, BUFFERCOUNT=%d, MAXTRANSFERSIZE=%d",
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships
child of 0000625closedmaik Release bareos-15.2.3 
child of 0000584closedjoergs Release bareos-14.2.7 

-  Notes
(0002063)
mvwieringen (developer)
2015-12-24 18:53

Seems we missed the incremental case when we implemented this recently
for full backups. The patch needs to be in two places e.g. also in the
restore. I added it to our internal repo it will be pushed on our next
sync point to github. As that triggers a rebuild for now I won't do it
as we just published a version today that we first want to finish.
When we push this fix it will update this bug report and set it to
resolved.
(0002307)
mvwieringen (developer)
2016-07-08 14:34

Fix committed to bareos bareos-14.2 branch with changesetid 6411.

- Related Changesets
bareos: master 91ebb8ed
Timestamp: 2015-12-24 18:47:47
Author: Marco van Wieringen
Ported: N/A
Details ] Diff ]
mssqlvdi: Fix backup/restore of incremental backups

Add missing support to incremental backups and restores for MSSQL
backups analog to the support we added recently for full backups.

Fixes 0000588: Incremental MSSQL backup fails when database name contains
spaces
mod - src/win32/plugins/filed/mssqlvdi-fd.c Diff ] File ]
bareos: bareos-14.2 55bf15f3
Timestamp: 2015-12-24 18:47:47
Author: mvwieringen
Ported: N/A
Details ] Diff ]
mssqlvdi: Fix backup/restore of incremental backups

Add missing support to incremental backups and restores for MSSQL
backups analog to the support we added recently for full backups.

Fixes 0000588: Incremental MSSQL backup fails when database name contains
spaces
mod - src/win32/plugins/filed/mssqlvdi-fd.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-24 17:52 jkimalane New Issue
2015-12-24 18:50 mvwieringen Assigned To => mvwieringen
2015-12-24 18:50 mvwieringen Status new => assigned
2015-12-24 18:53 mvwieringen Note Added: 0002063
2015-12-26 23:02 mvwieringen Changeset attached => bareos master 91ebb8ed
2015-12-26 23:03 mvwieringen bareos-master: impact => yes
2015-12-26 23:03 mvwieringen bareos-master: action => will care
2015-12-26 23:03 mvwieringen bareos-15.2: impact => yes
2015-12-26 23:03 mvwieringen bareos-15.2: action => will care
2015-12-26 23:03 mvwieringen bareos-14.2: impact => yes
2015-12-26 23:03 mvwieringen bareos-14.2: action => will care
2015-12-26 23:03 mvwieringen bareos-13.2: impact => no
2015-12-26 23:03 mvwieringen bareos-12.4: impact => no
2015-12-26 23:03 mvwieringen Assigned To mvwieringen =>
2015-12-26 23:03 mvwieringen Status assigned => resolved
2015-12-26 23:03 mvwieringen Fixed in Version => 15.2.3
2015-12-26 23:03 mvwieringen Target Version => 15.2.3
2016-02-25 17:02 maik Relationship added child of 0000625
2016-03-11 14:36 maik bareos-15.2: action will care => fixed
2016-07-05 11:54 joergs Relationship added child of 0000584
2016-07-05 11:55 joergs bareos-master: action will care => fixed
2016-07-05 11:55 joergs bareos-14.2: action will care => fixed
2016-07-08 14:34 mvwieringen Changeset attached => bareos bareos-14.2 55bf15f3
2016-07-08 14:34 mvwieringen Note Added: 0002307
2016-07-08 14:34 mvwieringen Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker